import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { StringFieldUpdateOperationsInputObjectSchema as StringFieldUpdateOperationsInputObjectSchema } from './StringFieldUpdateOperationsInput.schema';
import { UserUpdateOneRequiredWithoutShoppingVendorsNestedInputObjectSchema as UserUpdateOneRequiredWithoutShoppingVendorsNestedInputObjectSchema } from './UserUpdateOneRequiredWithoutShoppingVendorsNestedInput.schema'

const makeSchema = () => z.object({
  vendorName: z.union([z.string(), z.lazy(() => StringFieldUpdateOperationsInputObjectSchema)]).optional(),
  websiteUrl: z.union([z.string(), z.lazy(() => StringFieldUpdateOperationsInputObjectSchema)]).optional(),
  loginUsername: z.union([z.string(), z.lazy(() => StringFieldUpdateOperationsInputObjectSchema)]).optional(),
  loginPassword: z.union([z.string(), z.lazy(() => StringFieldUpdateOperationsInputObjectSchema)]).optional(),
  user: z.lazy(() => UserUpdateOneRequiredWithoutShoppingVendorsNestedInputObjectSchema).optional()
}).strict();
export const ShoppingVendorUpdateInputObjectSchema: z.ZodType<Prisma.ShoppingVendorUpdateInput> = makeSchema() as unknown as z.ZodType<Prisma.ShoppingVendorUpdateInput>;
export const ShoppingVendorUpdateInputObjectZodSchema = makeSchema();
